# Class JnaPidFactory

java.lang.Object
org.mariadb.jdbc.internal.util.pid.JnaPidFactory

public class JnaPidFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`JnaPidFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Supplier<String>`
`getInstance()`
Factory method to avoid loading JNA classes every connection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JnaPidFactory

public JnaPidFactory()

## Method Details

### getInstance

public static Supplier<String> getInstance()
Factory method to avoid loading JNA classes every connection.

Returns:
  factory that implement PID according to environment.